> ## Documentation Index
> Fetch the complete documentation index at: https://lightdash-mintlify-9d6f9427.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List roles

> Get a list of roles within an organization



## OpenAPI

````yaml https://raw.githubusercontent.com/lightdash/lightdash/refs/heads/main/packages/backend/src/generated/swagger.json get /api/v1/scim/v2/Roles
openapi: 3.0.0
info:
  title: Lightdash API
  version: 0.3249.0
  description: >
    Open API documentation for all public Lightdash API endpoints. #
    Authentication Before you get started, you might need to create a Personal
    Access Token to authenticate via the API. You can create a token by
    following this guide: https://docs.lightdash.com/references/personal_tokens
  license:
    name: MIT
  contact:
    name: Lightdash Support
    email: support@lightdash.com
    url: https://docs.lightdash.com/help-and-contact/contact/contact_info/
servers:
  - url: /
security: []
tags:
  - name: My Account
    description: These routes allow users to manage their own user account.
  - name: Organizations
    description: >-
      Each user is a member of a single organization. These routes allow users
      to manage their organization. Most actions are only available to admin
      users.
  - name: Projects
    description: >-
      Projects belong to a single organization. These routes allow users to
      manage their projects, browse content, and execute queries. Users inside
      an organization might have access to a project from an organization-level
      role or they might be granted access to a project directly.
  - name: Spaces
    description: >-
      Spaces allow you to organize charts and dashboards within a project. They
      also allow granular access to content by allowing you to create private
      spaces, which are only accessible to the creator and admins.
  - name: Roles & Permissions
    description: >-
      These routes allow users to manage roles and permissions for their
      organization.
    externalDocs:
      url: https://docs.lightdash.com/references/roles
  - name: Query
    description: >-
      These routes allow users to execute and manage queries against their data
      warehouse. This includes metric queries, SQL queries, and retrieving query
      results.
paths:
  /api/v1/scim/v2/Roles:
    get:
      tags:
        - SCIM
      summary: List roles
      description: Get a list of roles within an organization
      operationId: GetScimRoles
      parameters:
        - description: Filter to apply to the role list (optional)
          in: query
          name: filter
          required: false
          schema:
            type: string
        - description: SCIM 2.0 startIndex (1-based). Defaults to 1.
          in: query
          name: startIndex
          required: false
          schema:
            type: number
            format: double
        - description: SCIM 2.0 count (page size). Defaults to 100.
          in: query
          name: count
          required: false
          schema:
            type: number
            format: double
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScimListResponse_ScimRole_'
              examples:
                Example 1:
                  value:
                    schemas:
                      - urn:ietf:params:scim:api:messages:2.0:ListResponse
                    totalResults: 3
                    itemsPerPage: 3
                    startIndex: 1
                    Resources:
                      - schemas:
                          - urn:ietf:params:scim:schemas:extension:2.0:Role
                        id: member
                        value: member
                        display: Member
                        type: Organization
                        supported: true
                        meta:
                          resourceType: Role
                          location: >-
                            https://<tenant>.lightdash.cloud/api/v1/scim/v2/Roles/member
                      - schemas:
                          - urn:ietf:params:scim:schemas:extension:2.0:Role
                        id: 3675b69e-8324-4110-bdca-059031aa8da3:viewer
                        value: 3675b69e-8324-4110-bdca-059031aa8da3:viewer
                        display: Jaffle shop - Viewer
                        type: Project - Jaffle shop
                        supported: true
                        meta:
                          resourceType: Role
                          location: >-
                            https://<tenant>.lightdash.cloud/api/v1/scim/v2/Roles/3675b69e-8324-4110-bdca-059031aa8da3:viewer
                      - schemas:
                          - urn:ietf:params:scim:schemas:extension:2.0:Role
                        id: >-
                          3675b69e-8324-4110-bdca-059031aa8da3:da116e0f-2b96-4af4-93b7-b2636a26853d
                        value: >-
                          3675b69e-8324-4110-bdca-059031aa8da3:da116e0f-2b96-4af4-93b7-b2636a26853d
                        display: Jaffle shop - test
                        type: Project - Jaffle shop
                        supported: true
                        meta:
                          resourceType: Role
                          created: '2025-11-03T17:01:45.447Z'
                          lastModified: '2025-11-03T17:01:45.447Z'
                          location: >-
                            https://<tenant>.lightdash.cloud/api/v1/scim/v2/Roles/3675b69e-8324-4110-bdca-059031aa8da3:da116e0f-2b96-4af4-93b7-b2636a26853d
      security: []
components:
  schemas:
    ScimListResponse_ScimRole_:
      properties:
        schemas:
          items:
            $ref: '#/components/schemas/ScimSchemaType.LIST_RESPONSE'
          type: array
        totalResults:
          type: number
          format: double
        itemsPerPage:
          type: number
          format: double
        startIndex:
          type: number
          format: double
        Resources:
          items:
            $ref: '#/components/schemas/ScimRole'
          type: array
      required:
        - schemas
        - totalResults
        - itemsPerPage
        - startIndex
        - Resources
      type: object
      additionalProperties: true
    ScimSchemaType.LIST_RESPONSE:
      enum:
        - urn:ietf:params:scim:api:messages:2.0:ListResponse
      type: string
    ScimRole:
      properties:
        schemas:
          items:
            $ref: '#/components/schemas/ScimSchemaType.ROLE'
          type: array
        id:
          type: string
        meta:
          allOf:
            - properties:
                version:
                  type: string
                location:
                  type: string
                lastModified:
                  type: string
                  format: date-time
                created:
                  type: string
                  format: date-time
                resourceType:
                  type: string
              type: object
            - properties:
                location:
                  type: string
                lastModified:
                  type: string
                  format: date-time
                created:
                  type: string
                  format: date-time
                resourceType:
                  type: string
                  enum:
                    - Role
                  nullable: false
              required:
                - location
                - resourceType
              type: object
        value:
          type: string
        display:
          type: string
        type:
          type: string
        supported:
          type: boolean
      required:
        - schemas
        - id
        - value
        - supported
        - meta
      type: object
      additionalProperties: true
    ScimSchemaType.ROLE:
      enum:
        - urn:ietf:params:scim:schemas:extension:2.0:Role
      type: string

````